Saved Searches
Update a saved search
Updates a saved search owned by the authenticated user. Only provided fields are changed.
PUT
/
saved-searches
/
{id}
Update a saved search
curl --request PUT \
--url https://api.seamless.ai/api/client/v2/saved-searches/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"values": {},
"sortColumn": "<string>",
"sortOrder": "desc",
"tagIds": [
123
],
"numResultsApproved": 1
}
'import requests
url = "https://api.seamless.ai/api/client/v2/saved-searches/{id}"
payload = {
"name": "<string>",
"values": {},
"sortColumn": "<string>",
"sortOrder": "desc",
"tagIds": [123],
"numResultsApproved": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
values: {},
sortColumn: '<string>',
sortOrder: 'desc',
tagIds: [123],
numResultsApproved: 1
})
};
fetch('https://api.seamless.ai/api/client/v2/saved-searches/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"savedSearchId": "789",
"name": "<string>",
"type": "contacts",
"values": {},
"sortColumn": "<string>",
"sortOrder": "<string>",
"tagIds": [
123
],
"numResultsApproved": 123,
"gptRequestIdNLS": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
OAuth2ApiKeyAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique identifier of the saved search
Example:
789
Body
application/json
New display name of the saved search
Search criteria/filters object
Column used for sorting results
Sort direction
Example:
"desc"
IDs of lists/tags to associate with the search
Number of approved results
Required range:
x >= 0Was this page helpful?
⌘I
Update a saved search
